import req from "@/request.js";

const portal = window.context.portal;
export default {
   //分页
	dataQuery(data, cb) {
		req.post(portal + `/base/event/center/eventManagerQuery`, data).then(rep => {
			cb(rep.data);
		});
	},
    //详情
	detailId(id, cb) {
		req.get(portal + `/base/event/center/${id}`).then(rep => {
			cb(rep.data);
		});
	},
    //事件提交
	submitEvent(data, cb) {
		req.post(portal + `/base/event/center/confirmSubmitEvent`, data).then(rep => {
			cb(rep.data);
		});
	},
	//废除事件
	abolish(data, cb) {
		req.post(portal + `/base/event/center/abolish`,data).then(rep => {
			cb(rep.data);
		});
	},
	
	
}